
// DayPing.java
// Andrew Davison, June 2003, dandrew@ratree.psu.ac.th

/* Ověří, je-li server naživu, pokusem kontaktovat (pingem) server aktuálního času.
   Problém ovšem je, že servery s aktuálním časem nejsou vždy zapnuté.

  Server je na adrese:
     time-A.timefreq.bldrdoc.gov

  Úplná serverů s aktuálním časem seznam naleznete na této adrese:
    http://www.boulder.nist.gov/timefreq/service/time-servers.html

  Pro použití skrze firewall jej spusťte takto:
     java -dmroxySet=true -dmroxyHost=SOMEHOST -dmroxyPort=SOMENUM DayPing <host>

  Tento příkaz je k dispozici v souboru DayPing.bat
*/


import java.io.*;
import java.net.*;


public class DayPing 
{
   public static void main(String args[]) throws IOException 
   {
      if (args.length != 1) {
        System.out.println("použití:  java DayPing <hostitel> ");
        System.exit(0);
      }

      Socket sock = new Socket(args[0], 13);   // port hostitele
      BufferedReader br = new BufferedReader( 
              new InputStreamReader( sock.getInputStream() ) );
       
      System.out.println( args[0] + " je aktivní na ");
      String line;
      while ( (line = br.readLine()) != null)
        System.out.println(line);

      sock.close();                      
   }

} // konec třídy: DayPing class
